<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>HelpOnMacros/ImageLink</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">HelpOnMacros/ImageLink</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="en"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><span class="anchor" id="line-4"></span><span class="anchor" id="line-5"></span><span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><span class="anchor" id="line-8"></span><span class="anchor" id="line-9"></span><p class="line867"><table class="navigation"><tr><td><a href="./HelpOnMacros(2f)EmbedObject.html">/EmbedObject</a> &nbsp; /ImageLink &nbsp; <a href="./HelpOnMacros(2f)Include.html">/Include</a> &nbsp; <a href="./HelpOnMacros(2f)MailTo.html">/MailTo</a> &nbsp; <a href="./HelpOnMacros(2f)MonthCalendar.html">/MonthCalendar</a> &nbsp; </td></tr></table> <span class="anchor" id="line-10"></span><span class="anchor" id="line-11"></span><p class="line867"><br>
<br>
 <span class="anchor" id="line-12"></span><img alt="/!\" height="16" src="/moin_static1911/modern/img/alert.png" title="/!\" width="16" /> The ImageLink macro is gone since <a href="./MoinMoin.html">MoinMoin</a> 1.6.1.  <span class="anchor" id="line-13"></span><span class="anchor" id="line-14"></span><p class="line862">It was replaced by better link/transclusion markup. The migration scripts converted all old content from 1.5 to the new syntax of 1.6, including replacing usage of ImageLink macro by builtin new syntax. You can still get it from <a class="interwiki" href="http://moinmoin.wikiwikiweb.de/MacroMarket" title="MoinMoin">MacroMarket</a> if you insist on using it. If you used <a href="./MoinMoin.html">MoinMoin</a> 1.6.0 and your users have added ImageLink macro calls to the content of your wiki, please use full text search to locate them and replace them as you see below: <span class="anchor" id="line-15"></span><span class="anchor" id="line-16"></span><p class="line874">Old way: <span class="anchor" id="line-17"></span><span class="anchor" id="line-18"></span><span class="anchor" id="line-19"></span><pre><span class="anchor" id="line-1"></span>&lt;&lt;ImageLink(image,target[,width=width[,height=height]][,alt=alttag])&gt;&gt;</pre><span class="anchor" id="line-20"></span><span class="anchor" id="line-21"></span><p class="line874">New way: <span class="anchor" id="line-22"></span><span class="anchor" id="line-23"></span><span class="anchor" id="line-24"></span><pre><span class="anchor" id="line-1-1"></span>[[target|{{image|alt|width=123 height=456}}]]</pre><span class="anchor" id="line-25"></span><span class="anchor" id="line-26"></span><p class="line874">You see, this is a quite natural way: <span class="anchor" id="line-27"></span><ul><li><p class="line862">usually you write <tt class="backtick">[[target|text]]</tt> when you want to use some text label <span class="anchor" id="line-28"></span></li><li>if you rather want an image "label", you just use the image markup instead of the text <span class="anchor" id="line-29"></span></li><li><p class="line862">the markup for showing (transcluding) an image is <tt class="backtick">{{image|alt|params}}</tt> <span class="anchor" id="line-30"></span></li></ul><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:22
</body>
</html>
